This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 584869 - system.getScriptResults does not list which system is associated with the output
system.getScriptResults does not list which system is associated with the output
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: sat541-triage
  Show dependency treegraph
 
Reported: 2010-04-22 11:39 EDT by Aron Parsons
Modified: 2016-01-04 00:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-15 09:26:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aron Parsons 2010-04-22 11:39:34 EDT
Description of problem:
system.getScriptResults does not include a field that tells which system is associated with the output.  It needs to have another item in the data structure with the system name for each item in the returned array.

Version-Release number of selected component (if applicable):
Satellite 5.3.0

How reproducible:
Always

Steps to Reproduce:
1. Schedule a script for multiple systems in the web interface
2. Retrieve the results via the system.getScriptResults method
  
Actual results:
Each item in the returned array is missing which system the output is from.

Expected results:
Each item in the array should have a system name in the data structure so the user knows which system the output came from.
Comment 1 Aron Parsons 2010-07-14 13:41:22 EDT
upstream commit 3e7636f95b8f8f69fffc7b26663a5c75337533a2
Comment 2 Tomas Lestach 2010-07-15 03:12:06 EDT
updating api doc
spacewalk.git: 8ac29c6586eeb89d3796fe662859f1698ec33962
Comment 3 Jan Pazdziora 2012-03-15 09:26:40 EDT
This issue was fixed for Satellite 5.4.0.

Note You need to log in before you can comment on or make changes to this bug.